pdqn.net
当前位置:首页 >> AnDroiD stuDio 2.1.2 对应哪个grADlE >>

AnDroiD stuDio 2.1.2 对应哪个grADlE

gradle会自动检查更新的,他提示更新你更新就行目前我的是2.1版可以在studio 的最下面的terminal标签,输入gradle --version查看你的当前版本

这个好像不一定,我现在android studio是2.1.2,gradle是:com.android.tools.build:gradle:2.1.2

debug没法用啊,不显示调用栈,一调试函数一过就crash sigsegv (signal sigsegv: invalid address (fault address: 0xc))

注: 此应答是纯 Gradle 应答、 在这中使用 IntelliJ 定期但我不知道怎么整合是以 Android 的工作室.我知道发生了什么事对我来说,这我如何使用 Gradle 和 Android 的信徒. Gradle 已定义的结构 (即您可以更改底部链接将告诉您如何),是

定位到android studio 里面的项目,找到项目下面的build.gradle文件,gradle 2.4版本所对应的 com.android.tools.build:gradle插件为1.3.0,gradle 2.10对应的插件版本是2.1.0;在build.gradle文件里面更改即可;

方法/步骤下载Gradle新版本选择进入官网下载Gradle新版,我这里选择的是Gradle 2.10版本,然后根据网上其它经验进行安装;发现编译问题进入Android studio之后,由于本地电脑已经安装了gradle2.10,Android studio项目依旧配置的是老版本

选择进入官网下载Gradle新版,我这里选择的是Gradle 2.10版本,然后根据网上其它经验进行安装;发现编译问题进入Android studio之后,由于本地电脑已经安装了gradle2.10,Android studio项目依旧配置的是老版本gradle2.4;编译项目的时候

buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.3.0' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files }

启动Android Studio,打开Demo应用程序,点击菜单“File”-“Project Structure”,如图在弹出的Project Structure对话框中的左侧,选择Project在对话框的右侧可以看到Gradle的版本及Gradle插件的版本,可以看到,Gradle的版本是2.2.1,Gradle插件的版本是1.3.0.

查看gradle插件的版本,每一个android 项目中都需要配置的gradle插件的版本的啊.比如:dependencies { classpath 'com.android.tools.build:gradle:1.2.3' }这就是版本啊.查看gradle的版本,如果使用的本地gradle在,android studio的配置中看,如果不是,在项目的gradle/wrapper目录下面有个gradle-wrapper.properties中有如下内容:distributionUrl=https\://services.gradle.org/distributions/gradle-2.2.1-all.zip

网站首页 | 网站地图
All rights reserved Powered by www.pdqn.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com